UPDATE_PANELS(3) | Library Functions Manual | UPDATE_PANELS(3)

# NAME

`update_panels` — update terminal display

# LIBRARY

Z-order for curses windows (libpanel, -lpanel)

# SYNOPSIS

`#include <panel.h>`

void
`update_panels`(void);

# DESCRIPTION

The `update_panels`() function performs the internal processing required by the panel library to determine what changes need to be made to synchronise the curses internal screen buffer and the terminal but does not modify the terminal display.

This function will internally perform the required calls to touchoverlap(3) and wnoutrefresh(3) in the correct order. You should never directly call curses functions like wnoutrefresh(3) on panel windows yourself. Remember, that `stdscr` is below all panels and any changes to it also require calling `update_panels`().

Finally, call the curses function doupdate(3) to update the terminal display.

# SEE ALSO

doupdate(3), panel(3)

October 28, 2015 | NetBSD 11.0